« See all FAQs for Magzimus | Blog & Magazine theme

After installing the theme, I get the follwing message:

Cannot redeclare class OAuthException in /site/magnifica/includes/twitteroauth/OAuth.php on line 8

The error means you are running a plugin that is already calling the OAuth library (used for twitter and facebook authentiication usually). Since the theme also uses it for the twitter related features, it triggers an error when declared twice.

You can solve it two different ways:

1) Disable the plugin that is causing the conflict. (Test them one by one if you don’t know which one it is)

2) Open includes/twitteroauth/twitteroauth.php in the theme’s folder and comment out or delete this line:

require_once('OAuth.php');

Optionally, if you are experienced in php, you could also locate the call to Oauth in the plugin and comment it out. This is actually better since you won’t need to remember to uncomment the call in the theme if you ever decide to disable the plugin.

by
by
by
by
by
by